classification
Title: Way to build without IDLE
Type: enhancement Stage: resolved
Components: Build Versions: Python 3.9
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: Nosy List: rdil, terry.reedy, zach.ware
Priority: normal Keywords:

Created on 2020-01-14 14:41 by rdil, last changed 2020-03-13 16:14 by terry.reedy. This issue is now closed.

Messages (3)
msg359976 - (view) Author: Reece Dunham (rdil) * Date: 2020-01-14 14:41
It would just be better in my opinion if there was a way to build without IDLE, for people that are building from source and don't want it.

This doesn't have to be implemented, it is just something I think would make the build system a bit better.
msg359979 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2020-01-14 16:22
I'm not sure what you mean here.  IDLE is a pure-Python application, though it does depend on the optional tkinter package.  If you're on a UNIX platform and Tcl/Tk headers and libraries can't be found, _tkinter won't be built and you won't be able to run IDLE; on Windows if you pass the --no-tkinter (or -E) flag to PCbuild/build.bat, _tkinter won't be built and you won't be able to run IDLE.  In neither case is it an error to not have _tkinter (unless you try to import it).

There is no "building" of IDLE itself, and thus no way to not build it :)
msg359980 - (view) Author: Reece Dunham (rdil) * Date: 2020-01-14 16:51
Okay, closing it then. Thanks for the info.
History
Date User Action Args
2020-03-13 16:14:04terry.reedysetresolution: works for me
2020-03-13 16:01:21taleinatsetnosy: - taleinat
2020-03-11 13:52:16steve.dowersetnosy: - steve.dower
2020-03-11 13:52:08steve.dowersetpull_requests: - pull_request18272
2020-03-11 13:45:42steve.dowersetnosy: + steve.dower

pull_requests: + pull_request18272
2020-01-14 16:51:48rdilsetstatus: pending -> closed

messages: + msg359980
stage: resolved
2020-01-14 16:22:34zach.waresetstatus: open -> pending
nosy: + zach.ware
messages: + msg359979

2020-01-14 15:05:31xtreaksetnosy: + terry.reedy, taleinat
2020-01-14 14:41:26rdilcreate